## Sample Helpsets

This release includes a variety of helpsets packaged in different ways. Many of these helpsets are used by the demonstration programs, but you can also use the `hsviewer` executable jar file to view them.

Helpsets are described in detail in Authoring Help Information.

You can view these helpsets to familiarize yourself with the capabilities of the JavaHelp system. You can also use these helpsets as templates for creating your own help systems. The helpsets are described below.

### JavaHelp System User's Guide

The JavaHelp System User's Guide (this document) is also available as a JavaHelp helpset. It is located in `doc\jhug`.

### History of the Holidays

This helpset is interesting because it shows how a help system can be set up with two different TOCs. This helpset can be found in the following location:

       JavaHelp_Home/demos/hsjar/holidays.jar

To view this helpset on a UNIX system, use the following command:

       java -jar JavaHelp_Home/demos/bin/hsviewer.jar \
            -helpset JavaHelp_Home/demos/hsjar/holidays.jar

To view this helpset on a Windows system, use the following command in a Command window:

       java -jar JavaHelp_Home\demos\bin\hsviewer.jar -helpset JavaHelp_Home\demos\hsjar\holidays.jar

### IDE Demo

This helpset is used in the IDE Demo demonstration program. It is located in

       demos/hsjar/idehelp.jar

To view this helpset on a UNIX system, enter the following command at the command line:

          java -jar JavaHelp_Home/demos/bin/hsviewer.jar \
               -helpset JavaHelp_Home/demos/hsjar/idehelp.jar

To view this helpset on a Windows system, use the following command in a Command window:

       java -jar JavaHelp_Home\demos\bin\hsviewer.jar -helpset JavaHelp_Home\demos\hsjar\idehelp.jar

###

### Localized Helpsets

Two localized helpsets, one in German and another in Japanese, are included in the release. For more information about localizing helpsets, see Localizing Help Information.

| To view these helpsets, you must have installed the correct fonts on your system.

#### German

This helpset is a portion of the `IDE` `demo` helpset that has been localized in German. It is located in

        JavaHelp_Home/demos/hsjar/idehelp_de.jar

To view this helpset on a UNIX system, enter the following command at the command line:

           java -jar JavaHelp_Home/demos/bin/hsviewer.jar \
                -helpset JavaHelp_Home/demos/hsjar/idehelp_de.jar

To view this helpset on a Windows system, use the following command in a Command window:

       java -jar JavaHelp_Home\demos\bin\hsviewer.jar -helpset JavaHelp_Home\demos\hsjar\idehelp_de.jar

###

#### Japanese

This helpset is a portion of the `IDE` `demo` helpset that has been localized in Japanese. To view the Japanese helpset, you must have installed the correct Unicode fonts. This helpset is located in

        JavaHelp_Home/demos/hsjar/idehelp_ja.jar

To view this helpset, enter the following command at the UNIX command line:

           java -jar JavaHelp_Home/demos/bin/hsviewer.jar \
                -helpset JavaHelp_Home/demos/hsjar/idehelp_ja.jar

To view this helpset on a Windows system, use the following command in a Command window:

       java -jar JavaHelp_Home\demos\bin\hsviewer.jar -helpset JavaHelp_Home\demos\hsjar\idehelp_ja.jar

###